Uploaded image for project: 'JBoss Enterprise SOA Platform'
  1. JBoss Enterprise SOA Platform
  2. SOA-2231

Invalid classpath reference in source package

    Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Blocker
    • Resolution: Done
    • Affects Version/s: 5.0.2
    • Fix Version/s: 5.1.0 GA
    • Component/s: Distribution
    • Labels:
      None
    • Release Notes Text:
      Hide
      https://issues.jboss.org/browse/SOA-2231

      After importing a source package into Eclipse and adding an ESB server run-time, the following error would appear:

      Description Resource Path Location Type
      The method setOutgoingRunAs(RunAs) in the type SecurityContext is not applicable for the arguments (RunAsIdentity) JBossASContextPropagator.java /JBossESB/rosetta/src/org/jboss/internal/soa/esb/services/security line 262 Java Problem

      To fix this problem, the .class-path has been updated to reference the AS5 JARs as they extend the functionality of the AS4 versions. As a result, the error will no longer occur.
      Show
      https://issues.jboss.org/browse/SOA-2231 After importing a source package into Eclipse and adding an ESB server run-time, the following error would appear: Description Resource Path Location Type The method setOutgoingRunAs(RunAs) in the type SecurityContext is not applicable for the arguments (RunAsIdentity) JBossASContextPropagator.java /JBossESB/rosetta/src/org/jboss/internal/soa/esb/services/security line 262 Java Problem To fix this problem, the .class-path has been updated to reference the AS5 JARs as they extend the functionality of the AS4 versions. As a result, the error will no longer occur.
    • Release Notes Docs Status:
      Documented as Resolved Issue

      Description

      After importing the source package into Eclipse and adding an ESB server runtime, the following error still shows up:

      Description Resource Path Location Type
      The method setOutgoingRunAs(RunAs) in the type SecurityContext is not applicable for the arguments (RunAsIdentity) JBossASContextPropagator.java /JBossESB/rosetta/src/org/jboss/internal/soa/esb/services/security line 262 Java Problem

      The .classpath needs to be updated to reference the AS5 jars as they extend the AS4 versions.

        Gliffy Diagrams

          Attachments

            Activity

              People

              • Assignee:
                kconner Kevin Conner
                Reporter:
                mputz Martin Weiler
                Writer:
                David Le Sage
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: